=== debian/control ===
Source: ros-lunar-moveit-ros-robot-interaction
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-eigen-conversions, ros-lunar-interactive-markers, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib (>= 1.10.4), ros-lunar-roscpp, ros-lunar-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-lunar-moveit-ros-robot-interaction
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-eigen-conversions, ros-lunar-interactive-markers, ros-lunar-moveit-ros-planning, ros-lunar-pluginlib (>= 1.10.4), ros-lunar-roscpp, ros-lunar-tf
Description: Components of MoveIt that offer interaction via interactive markers
